Welcome to MCA, MJ's CD Archiver

MJ's CD Archiver (MCA)

Overview

MJ's CD Archiver (MCA) is a data CD/DVD/HD (hard drive) archiver that combines high performance & usability with a simple & intuitive user interface. Using MCA one can archive the data in one's whole CD/DVD/HD collection and search on the file names using DOS-styled wildcards, case-(in)sensitive, whole word (exact) match, and even regular expression for power users, or filter files by options such as file size, modification time, archive time etc. Search results are delivered instantly even if you have hundreds of thousands of files. One can also further filter previous search results and store search results and history. Search results are highlighted to speed up result lookup. Changes/updates to archive can be conveniently performed with the Windows shell integration features. Support is provided to allow user to set up automatic update of any folder/drive in user-designated archive at user-designated time! MCA also works on all major Operating Systems to allow user archive contents of all personal computers, regardless of the OS on them.

MCA is also a special donateware where all proceeds are directly donated to charity, while all developement effort and server maintanence are provided by the software authors. For more details on this unique software licensing model, please see Registration, Donation to charity, and Questions and Answers sections.

Latest MCA version is V1.02 and supports all major Operation Systems: Windows 98/ME/2000/XP, Linux, Unix flavors (AIX, HP-UX, Solaris etc.) and Mac OS X (currently Windows and Linux OSs are the platforms actively supported and tested upon).

For any update to MCA please check Download page.


Download

You can download MJ's CD Archiver for all supported operating systems at http://www.mingyi.org/MCA/download.html, which should always have the latest version. This site is also the highly preferred download location!

Other sites that would have MCA for download include MCA's mirror site http://www.kapnetwork.com/download.html, and various internet software collection sites such as http://www.tucows.com/, http://www.simtel.net, CNet's download.com, ZDNet's software download, and various other sites. However, these sites might not have (the latest version of) MCA so usage of main site (http://www.mingyi.org/MCA/) is highly preferred.


Features

  • Fast!

    • Fast archiving – MCA is one of the fastest archivers on the market today, with speed twice as fast or more as some other leading archivers with similar memory footprint and small archive file size. Archive time can be further cut down by choosing to only update the specific folders you designate. You would be able to archive and search all your data files and mp3 files on hard drives or CD/DVDs in a very short time.

    • Fast search – search results are delivered instantly.

    • Fast operating – simple & powerful user interface demands very short learning curve; context-sensitive menu, main menu, toolbar, keyboard shortcuts are all provided to allow users perform operations fast; shell integration, automatic update provided to lighten user effort even further.

  • Powerful and flexible search. Numerous advanced ways to search archive for specific files are provided - Search on file names using wildcards, regular expression, conduct case-(in)sensitive, whole word (exact match), selective searches on specific folders, or filter by file size/time stamp and limit maximum number of search results returned. You can even search on search results to further filter them! Search results are highlighted for fast lookup. Search history can be saved and search options used to generate the search results can be retrieved simply by double clicking the search result title. If the archive file content is updated, previous search can be performed again with one mouse click to update the results. Search results can be sorted in 16 different orders on 6 columns (and the sorted display for each folder is persistent for the session).

  • Shell integration support on Windows OS. Several convenient commands are added to explorer context-sensitive menu to make archiving with MCA faster than other competitors. “Archive with MCA” on a folder/drive/CD enables MCA to automatically open and archive the folder. “Archive to last MCA file” allows a folder/drive/CD to be directly archived into last used MCA archive file, while “Update/archive to last MCA file” updates the folder/drive/CD in the last used MCA archive file if the folder exists already, or be added to the last used file if the folder does not exist before.

  • Automatic update of archives at scheduled time supported. Keep archives of your hard drive/folders current with automatic update feature! Templates are included for scheduling automatic updates of user-designated folder/drive to user-designated archive files. See “How-Tos” for detail. With this feature you would be able to both enjoy the lightening fast search provided by MCA and be sure that files created/changed before last automatic update are included in search.

  • Convenient editing support. Toolbar icons provided for all major actions. Keyboard shortcuts are provided for all major actions to make using MCA even faster! Even the last used files can be opened with keyboard shortcuts. Any archived folders/files can be deleted from archive. Root folder can be renamed to correspond to names of CD or DVD, or reverted back to default names. Archived files, if still existing on hard drive, can be launched by double-clicking their names.

  • Statistics for archives. Subfolder, file number, total file/folder number, file/folder size summaries are displayed on status bar. Files can be sorted based on names, size, time stamp, etc. and can either be sorted with folders or sorted separately.

  • Cross-platform support. You would be able to use MCA to archive the data files on all of your computers in your home, regardless of the Operating System (OS), because MCA offers wide platform support from Windows, Linux, to Unix flavors and Mac OS X (currently Windows/Linux are the two OSs actively supported and tested upon). MCA's single personal license actually allows installation on multiple computers with multiple OS, as long as certain conditions are met (read license for details).

  • Unicode support. Unicode support is present, meaning that a Chinese file name would display correctly.

  • Unique donateware licensing model. All proceeds are directly donated into registered charity (in fact, when you register, you directly donate to the charity. The authors would only get notified of the donation before sending registration key to you). In my opinion, the type of license for our software is the only license that is better than free. For more detail, please see “registration”.


Requirements for MCA

Requirements

To run MJ's CD Archiver successfully, you would need to make sure that you have Java Runtime Environment 1.4 (JRE 1.4) or higher installed on your computer. Java Runtime Environment can be downloaded at http://java.sun.com/j2se/1.4.2/download.html. You would also need the run time of SWT (Standard Widget Toolkit by Eclipse Foundation) to run MCA, which is distributed with MCA packages and/or linked from download page. Currently the Operating Systems supported by both SWT and Java include Windows (WinCE as well), Linux, some Unix flavors (Solaris, AIX) and Mac OS X, which means MCA should run well on all these platforms.


Installation of MJ's CD Archiver

Win32 (Windows 98/ME/XP/2000) Installation

Simply download the MCAsetup.exe file (see Download page for details) and install MJ's CD Archiver (MCA) by following on-screen instructions. If your computer does not have Java or its Java version is too old, then please download Java supported as described on MCA download page

Linux Installation

Download the appropriate zip file (e.g., MCA_gtk.tgz). Decompress the file into a directory you designated. Follow the instructions in "INSTALL" and you should be able to run MCA then (if your computer has no Java Runtime Environment support, JRE download is linked on MCA download page).

Installation on other OS (Mac OS X, Solaris, AIX, etc.)

Currently they are not actively supported or tested upon, but MCA should work well on them due to the inherent cross-platform support. For installation of MCA on those platforms, please consult the MCA download for download and installation instructions


License

Software License Agreement For MJ's CD Archiver

(Please carefully read the agreement in full before you install and use the software)
Copyright (C) 2004 Mingyi Liu & Jun Xu. All Rights Reserved

Definition: "the software" "this software" "the program" "this program" below all refer to the MJ's CD Archiver program and components in the MJ's CD Archiver software package. "the authors" and "We", refer to Mingyi Liu and Jun Xu, the authors of MJ's CD Archiver. “Java Runtime”, “Java Runtime Environment”, “JRE”, “J2SE” all refer to Sun Microsystem's redistributable Java Runtime Environment. “Eclipse”, “SWT” refers to the Eclipse Foundation, the Eclipse platform and Standard Widgets Toolkit redistributable libaries.

By using this software you agree to be bound by the terms of this agreement as follows:

Grant of license

The following license agreement applies to registered version of the program. For license and registration for evaluation copy of the program, please refer to the "evaluation license" section below. This software is being licensed to you by the authors on an "AS IS" basis. You may not distribute any component of the licensed software package to others on any media and/or through any network. If your registration type is personal usage, you may install the software on all or any of the computer(s) owned by you, regardless of Operating System, at ONLY one of your personal residence at any given time (For your information, your registration key could enable the software for all supported Operating Systems). If your registration type is business usage (non-site license), you may install the software on ONLY one computer at any given time. If your registration type is business usage (site license), you may install the software on all the computers at one corporate site at a certain geological location. In all cases, no one other than you yourself is granted the license to use the copy of the software registered to you (except when the registration is site license).

You may not decompile, or modify any component of the software package in any way without the written consent of the authors. You may not rent, lease or sublicense the software. You may not export the software into any country prohibited by the United States Export Administration Act and the regulations thereunder.

Governing Law

This agreement shall be governed by the laws of the State of Massachusetts, the State of Ohio and U.S. federal law.

Disclaimer of Warranty

THIS SOFTWARE AND ANY OF THE ACCOMPANYING FILES AND COMPONENTS ARE SOLD "AS IS" AND WITHOUT ANY WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. As the software user, you must assume the entire risk of using the program and indemnify the authors and all other contributors of any software components included in the software package. In no case should the authors, Mingyi Liu, Jun Xu, Sun Microsystem, Eclipse Foundation or any other contributor to any of the components of the software, be held responsible for any loss or damage to any data or property or anything else directly or indirectly resulted from the usage of this software. Any liability of the seller or author is limited to product replacement or refund of purchase price at request after any software defect is detected and proven.

Evaluation and Registration

EVALUATION LICENSE

The following license applies to the evaluation version of MJ's CD Archiver program. For license of the registered version, please refer to the license agreement above.

This software is a shareware. Subject to the terms below, you are licensed to use this software solely for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, a registration fee of U.S. $20 for personal usage or U.S. $30 for business usage is required (contact authors for site license pricing). For detailed payment information please go to "Registration" section in the help documentation for MJ's CD Archiver.

PLEASE NOTE THAT ONCE YOU REGISTER, YOU AGREE TO BE BOUND BY THE TERMS AND CONDITIONS UNDER “GRANT OF LICENSE” SECTION ABOVE.

Unregistered usage of this software after the 30-day evaluation period is a violation of U.S. and international copyright laws.

Distribution of Evaluation Version

You may make copies of the evaluation version of the software and/or distribute them through any media to anyone. You may NOT modify any component of the evaluation version of the software package including any type of documentation including license agreement. You may not charge for distribution of the software and you may not resell the software.

You may not decompile, or modify any component of the software package in any way without the written consent of the author. You may not rent, lease or sublicense the software. You may not export the software into any country prohibited by the United States Export Administration Act and the regulations thereunder.

Governing Law

See “Governing Law” section above.

Disclaimer of Warranty

See “Disclaimer of Warranty” section above.


Registration

MCA is a special donateware where all proceeds are directly donated to charity, while all developement effort and server maintanence are provided by the software authors. The details are organized below in a question & answer format:

  1. Do I need to register to use the software?
    During the evaluation period, registration is not required. However, to continue to legally use the software after the evaluation period, you must register your copy of software by paying for the appropriate license. We did not create time or function limitation on the software because we trust that after evaluation period, users would be willing to donate to the charity we designated, after which we will provide registration key for free (once we received donation confirmation from the charity). See details below.

  2. How do I register?
    Please go to here to pay through a credit card (secure transaction provided by Paypal) or Paypal account. You are in reality making cash donation to a registered charity as MCA authors will not receive any money. However, the charity will notify us of your donation payment and we will immediately provide the registration key for you for free.

  3. What will I get for registrating my copy of the software?
    By registering, you will get a registration key that will unlock the software on all supported operating systems. Since you are really making a donation to a registered charity when you register, you should be able to deduct the registration fee as cash donation when you file tax return as far as I know (however, to confirm the tax benefit, please consult your tax advisor). Most important of all, however, is that your donation will go directly to poor kids that need it the most, to obtain basic education that would enable them to win the struggle against poverty once and for all.

  4. Who is NACEF?
    NACEF (North America Chinese Education Foundation) is a US-based charity that has been in existence since 1998. It is listed on CharityAmerica at here.


How-Tos for MJ's CD Archiver

How-Tos

  • How do I archive a CD/hard drive/any folder using MJ's CD Archiver?
    First either (a) go to menu “Action” -> “Archive”, (b) press keys “CTRL” “a” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Select a CD/folder to archive”. Then simply browse your computer to choose the drive/folder you want to archive. After archive is finished, you might want to change the name of the newly archived folder to an easy-to-remember name following the instruction here.

  • I already archived my hard drive, how do I update the content of a folder, like c:\windows (or /usr)?
    First in the left pane tree view find the folder you want to update, select it, then either (a) go to menu “Action” -> “Update”, (b) press keys “CTRL” “u” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Update content of a CD/folder” (the icon is a colored version of the archive icon), (d) right click on the selected folder and choose “update” from the popup menu. Then updating will begin.
    Note that you can set up automatic update of the archive file as described here.
    Please also note that once you updated a folder, all the search results involving this folder should be updated as well (as described below) because the folder contents might have changed, rendering the previous search results obsolete.

  • I performed a search before, how do I perform the search again (after updating the content of a folder)?
    Instead of setting all options again and do another search, a quicker way can be taken if the results of previous search still exists in the left pane tree view. If so, just select the previous search result you want to update, then update it as described above.

  • How do I use this as a Windows search replacement?
    First of all, this software is intended for archiving data CD/DVD and hard drives for searching data, but it is not real-time search. Therefore it cannot be a true replacement for Windows search functionality. However, if you are like me and get really frustrated with Windows search due to its snail-like speed and pathetic search options, then I would suggest to set up MCA to replace Windows search as follows: First, archive the hard drives you have. Then set up automatic update of the archive file as described here. Finally, note that you could also perform a search and update that search with one mouse click later, on updated hard drive info. Also if you need real-time file search and know which folders might be changed since the last time the archive was updated, then you could always just update those folders quickly and perform search. So MCA can reasonably replace Windows search by providing quite up-to-date stats (or real-time stats if you choose to update before search, which could save much time if you need to perform several searches, which is what usually happens when you search files on hard drive). Additionally, MCA's speed, advanced search options, one-click update of previously performed search, and search of archived CD/DVDs (a major MCA function) transcends what Windows file search could ever provide.

  • How do I rename an archived folder or search results?
    First select the folder in the left pane, then either (a) go to menu “Action” -> “Rename”, (b) press keys “CTRL” “r” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Rename selected folder”, (d) right click on the selected folder and choose “Rename” from the popup menu. The selected folder will change color and prompt you to type in new name. Just begin typing new name. After you finished typing, simply click anywhere else to finalize the new name, or press the “Esc” key to cancel change. Please note that you can only change root folder's name because renaming other folders are not needed by most users.

  • How do I change a renamed archived folder back to default name?
    First select the folder in the left pane, then either (a) go to menu “Action” -> “Revert Name”, (b) on toolbar, press the button whose tooltip is “Restore the name of the selected CD/folder to original name” (c) right click on the selected folder and choose “Revert Name” from the popup menu. That's it.

  • How do I setup automatic update of my hard drive (or a folder)?
    On Windows: First step, under the directory where you installed MCA, there is a MS-DOS batch file named “example.bat”. Open with a text editor like Notepad. In the batch file after the comments (marked by “:”), there is a line like:
    javaw.exe -Djava.library.path="C:\Program Files\MCA" -classpath "C:\Program Files\MCA" -jar "C:\Program Files\MCA"\MCA.jar -d "C:\Program Files\MCA" "C:\WINDOWS" "C:\Program Files\MCA"\myarchive.mca
    Basically in the line above only the last two strings would concern user: "C:\WINDOWS" is the folder to be automatically updated, while "C:\Program Files\MCA"\myarchive.mca is the archive file the update is stored in. So change these two strings to what you would like using notepad, then save the file to a different name like “myupdate.bat”.
    Please note that you should ALWAYS save the “example.bat” under a different name after you modified it! Otherwise a future MCA update will overwrite it.
    Second step, go to “Start”->”Programs”->”Accessories”->”System Tools”->”Scheduled Tasks”->”Add Scheduled Task”, this would launch the windows scheduled task dialog. Following the on screen instructions (when choosing program to run, choose “browse” and find the myupdate.bat, which is likely under “C:\Program Files\MCA” . Then simply set up the frequency you want the myupdate.bat batch file (after your modification of course) to be run.
    On Unix/Linux: Assuming you installed MCA in “/home/users/myname/mca”, you want to regularly update folder “/home”, and the archive file to contain the folder content is at “/home/users/myname/myhome.mca”, then the command for your crontab facility (man page) would be:
    java -Djava.library.path="/home/users/myname/mca" -classpath "/home/users/myname/mca" -jar "/home/users/myname/mca/MCA.jar” -d "/home/users/myname/mca" "/home" "/home/users/myname/myhome.mca”
    Please note that the folder you want to update should exist, otherwise a warning will be given. Ideally the archive file the update is to be stored also should exist, otherwise a new archive file will be created at the given location. Ideally the folder to be updated should exist in the archive file too, otherwise a new root folder will be created in the archive file for the folder to be updated. While automatic archiving is undergoing, it can be cancelled by user too.

  • How do I search for a file in my archive?
    If you want to search the whole archive (except for the previous search results), make sure you uncheck the “search selected folder only” option (note that this option is overridden by method (d) below). If you want to search previous search results to filter them further, you need to check the “search selected folder only” option and select the search results or archived root folders that you want to search (Note that you can select multiple folders to search by pressing “shift” or “ctrl” key while you click with mouse). Search options can be set in the search form at the bottom of left pane, and advanced search options can be set by pressing the “Advanced Options” button - set the filters and options in the popup menu, then press the “Set Options” button to save these options. To start search, either (a) go to menu “Action” -> “Search”, (b) press keys “CTRL” “f” (for “find”, as CTRL-S is reserved for saving archive file) simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Search the current archive”, (d) right click on the selected folder and choose “Search” from the popup menu. The search results will be instantly displayed in the left panel tree view as a new root folder. This root folder can be browsed as normal folders, but deletion is disabled. All the statistics are also summarized for search results on the status bar. At the same time, the tree view will be highlighted with the results from the currently selected search result folder to enable user get a feeling of how search results are distributed and quickly find the found file/folders.
    Note about the coloring of the highlight: a dark blue folder icon means there is a file/folder directly under the highlighted folder that is a search hit meeting your search criteria; a light blue folder icon means there is a file/folder somewhere down the directory tree (but not directly under the highlighted folder) that is a search hit; a yellow background on the file/folder name indicates that this file/folder name matches the keyword given.
    Please note that the method (d) above (using the context-sensitive popup menu) would by default search only the folders selected, even if you did not choose “search selected folder only” in the search form. This gives a quick shortcut for searching only a few folders you are interested in. However, by design methods (a) to (c) do not override the “search selected folder only” setting, meaning that they search in only the selected folders whenever “search selected folder only” was checked, but search in all folders when “search selected folder only” was unchecked.

  • My search yielded a result I like, how do I find this file/folder quickly?
    If you want to launch the search result file/folder in its associated application or file manager (like Windows Explorer) check here and here. If instead you only plan to find this file/folder in MCA, then you could either (a) go to menu “Action” -> “Expand Tree for File/Folder”, (b) press keys “CTRL” “e”, (c) on toolbar, press the button whose tooltip is “Expand file tree to show the ...”, (d) right click on the selected file/folder and choose “Expand Tree for File/Folder” from the popup menu. The file tree in the left pane will be expanded to the correct location to display the search result.

  • My search yieled hundreds of results, I want to further filter it with another keyword, how to do it?
    Check the “search selected folder only” option in the search form at the bottom of left pane, then select the search result folder in the tree view in left pane (Note that you can select multiple folders to search by pressing “shift” or “ctrl” key while you click with mouse), set the options/keywords that you want to further filter with, then start search as described above.

  • How do I view the search options used in a previous search?
    First choose the search result root you want to view options for, then either (a) go to menu “Action” -> “View search options”, (b) press keys “CTRL” “v”, (c) just double click on the search result root, (d) right click on the selected file/folder and choose “View search options” from the popup menu. Simply in the treeview in left pane, double click on the search name. This will bring up a popup dialog displaying all options used to generate the search results, including which folders were searched.

  • How do I read the statistics on the status bar at the bottom of MCA?
    The left part of the status bar summarizes the stats for the currently selected folder. The summary is in the form of “2 files, 5 folders, this 4-level tree contains 15 subfolders and 148 files”, which means that the currently selected folder contains 2 files and 5 subfolders, which in term contains other files and subfolders. When all the files/subfolders under the currently selected folder or any of its subfolders (or subfolders of subfolders, and so on...) are added together, there are 148 files and 15 subfolders (If you right click the folder in Windows explorer and choose “properties”, you'll see the same statistics). The right part of the status bar summarizes the total size of selected files and folders. When there is only one file/folder selected, the file size displayed would be the same as displayed by Windows explorer -> “properties”.

  • How do I delete a file/folder?
    Files and folders can be deleted in both left pane (tree view) and right pane (folder contents view). Simply choose the files/folders that you want to delete and either (a) go to menu “Action” -> “Delete”, (b) press keys “CTRL” “d” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Delete the selected directory” (d) press the “Delete” key on keyboard, to delete the files/folders, (e) right click on the selected folder and choose “Delete” from the popup menu.
    Please note that once a file/folder is deleted, it cannot be recovered. However, you can update the parent folder again to get the deleted information back, if the deleted file/folder still exist on your drive.
    Please also note that you cannot delete any file/folder under search results. Instead, if you need to delete those file/folders, please browse the non-search-result root folders in archive to find those file/folders and delete there.

  • How do I sort the folders displayed in the tree view in left pane?
    Right click in a blank area in the tree view and choose “Sort By” from the popup menu. Then just click on the sort option that you want. One note is that due to the relatively large number of sort options (4 right now, and could grow in the future) I decided to only add this sort option to a submenu of the context-sensitive menu and not to main menu, keyboard shortcuts and toolbar, to save space.

  • How do I delete search result(s)?
    Search results can be deleted the same way any folder is deleted. Additionally, one could go to either (a) go to menu “Action” -> “Clear search results”, (b) press keys “CTRL” “c” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Remove the search results (keep only the real folder/files)”, (d) right click on a blank area and choose “Clear search results” from the popup menu. Note that this option would delete ALL of the previous search results!

  • How to open a file in MCA to view them in their associated applications?
    To open a text file displayed in MCA to view the text content (or any file with an associated application such as image files, pdf, word document etc.), one could (a) go to menu “Action” -> “Launch file/folder”, (b) press keys “CTRL” “l” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Launch selected file or expand selected folder”, (d) right click on the selected file/folder and choose “Launch file/folder” from the popup menu. Note that this option would open folder for viewing in your file manager (Explorer on Windows) if the selected is a folder not a file!

  • How to open a folder in MCA to view them in my file manager (Explorer on Windows)?
    To open a folder for viewing in Windows Explorer etc., one could (a) go to menu “Action” -> “Launch file/folder”, (b) press keys “CTRL” “l” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Launch selected file or expand selected folder”, (d) right click on the selected file/folder and choose “Launch file/folder” from the popup menu. Note that this option would open file for viewing in its associated application if the selected is a file not a folder!

  • How do I use regular expressio to search?
    Please read the Regular Expression section.

  • How do I clear all the search result highlights?
    Go to either (a) go to menu “Action” -> “No highlights”, (b) press keys “CTRL” “h” simultaneously in either left pane or right pane, (c) on toolbar, press the button whose tooltip is “Clear the highlight of the folders and files found by search”, (d) right click on a blank area and choose “No highlights” from the popup menu.
    Note that this option only temporarily disable the highlighting of current search result display. After clearning the highlight, if you go to another search results or select current search results again, the search result hits for each search will be correctly highlighted again to enable quick finding of search hits.

  • How to do full text search, mp3 file information or CDDB information for my CDs?
    Currently they are not supported. We have different plans for each feature regarding to potential support in the future. See Question & Answers section for details.

  • How do I contact support if I have a question/bug report?
    Support for MCA is provided through email. We do ask that if you have a question, please first try to read the documentation thoroughly (Don't forget you can also search MCA documentation). If your question is still not answered, please email to mingyiliu@yahoo.com Please write as precisely as possible what is your question and if it is a bug, what is the error message and how did you get the bug, so that I can fully understand and/or reproduce bugs/problems.

  • How do I register?
    Please read the Registration section on how to obtain a registration key. Then go to menu “Help” -> “Registration” and enter your username and registration key.

  • How can I read .chm files on Linux or other Operating Systems?
    For reading .chm files on Linux, Unix variants including Solaris, *BSD, even Mac OS X, use xChm, the best one I found on Linux. For Mac OS X, you can also consider using chmox.

  • With MCA, how do I find out what Operation System I am using?
    Assuming that one luckily installed MCA successfully without knowing the OS used, one could also find it out by going to MCA's menu “Help”->”about” which displays both the operating system and java installation version and path.

  • With MCA, how do I find out the Java version I am using?
    Assuming that your Java version supports MCA, pleases go to MCA's menu “Help”->”about” which displays both the operating system and java installation version and path.

  • How do I launch MCA from command line?
    First, for Windows users, it is recommended that you enable “shell integration” during MCA installation process, which allows you access to all command line options MCA supports through Windows Explorer context sensitive menu.
    Second, for other operating systems, the command line syntax for MCA is (let's assume java path is {java}, the folder containing MCA.jar is {app}):

    • To archive a folder with path denoted by {folder}:
      {java} -Djava.library.path="{app}" -classpath "{app}" -jar "{app}\MCA.jar" -a "{app}" "{folder}"

    • To open an MCA archive file denoted by {file}:
      {java} -Djava.library.path="{app}" -classpath "{app}" -jar "{app}\MCA.jar" -f "{app}" "{file}"

    • To archive a folder with path denoted by {folder} into the last used MCA file:
      {java} -Djava.library.path="{app}" -classpath "{app}" -jar "{app}\MCA.jar" -b "{app}" "{folder}"

    • To update a folder already archived in the last used MCA file (assuming folder path is denoted by {folder}):
      {java} -Djava.library.path="{app}" -classpath "{app}" -jar "{app}\MCA.jar" -c "{app}" "{folder}"


Questions & Answers

  • What Operating Systems are supported by MJ's CD Archiver (MCA)?
    Any OS supported by Eclipse Foundation's SWT and Sun Microsystem's JRE 1.4 or higher.     This means Windows 98/ME/2000/XP, Linux, Unix flavors including AIX, Solaris etc. and Mac OS X. However, MCA is developed on Windows 2000/XP and Linux, therefore MCA is extensively tested on these OSs.

  • We already have Windows file search (or find on *NIX), why make this archiver?
    For two major reasons: 1. With Windows files search or find, you can only search what is on hard drive or the CD/DVD currently loaded in the CD/DVD drives. You cannot search your whole CD/DVD collection for a file you want to find. 2. MCA is also orders of magnitude faster than Windows file search or find, delivering results instantly on hundred of thousands of files (no more waiting minutes for results to come back). Other important reasons to use MCA over other OS-default search or other softwares include that MCA has more powerful search options than Windows search, allows searching previous search results to further narrow down the search, allows one-click re-performing previous search, stores search history/results, provides convenient highlighting and more sorting options, among others. MCA also allows for automatic update of archive so that you could search for changed/added files/folders as recently as you set the auto-update to be.

  • What does each color in the search result highlight function mean?
    A dark blue folder icon means there is a file/folder directly under the highlighted folder that is a search hit meeting your search criteria;
    A light blue folder icon means there is a file/folder somewhere down the directory tree (but not directly under the highlighted folder) that is a search hit;
    A yellow background on the file/folder name indicates that this file/folder name matches the keyword given.

  • I found that after I updated a folder, the search highlight on that folder does not work any more?
    This is by design, because once you updated the content of a folder, chances are the search results involving this folder would become obsolete, so the highlight is also turned off. This serves as a reminder that once you updated a folder, you should perform the search again to reflect the new update;
    A light blue folder icon means there is a file/folder somewhere down the directory tree (but not directly under the highlighted folder) that is a search hit;
    A yellow background on the file/folder name indicates that this file/folder name matches the keyword given.

  • When I sort files and folders by clicking on the column head in the right pane, what do those icons indicate?
    Arrow pointing upward means it's sorting in ascending order, with folders always displayed before files;
    Arrow pointing downward means it's sorting in descending order, with folders always displayed after files;
    Arrow pointing upward with a letter “D” crossed by a red line means it's sorting everything in ascending order (folders and files are sorted together instead of being sorted separately);
    Arrow pointing downward with a letter “D” crossed by a red line means it's sorting everything in descending order (folders and files are sorted together instead of being sorted separately);
    Note that the size of a folder is the sum of the sizes of all of the files and subfolders it contains.

  • Why does my search using Chinese character not return results as expected?
    If you enabled “regular expression” for search keyword in “advanced options”, then the Chinese unicode characters are treated as regular expressions and perform unpredictably. As a result searching using DOS-styled wildcards like "*" and "?" most likely will fail for your unicode search too because they are implemented using regular expressions. Right now we did not build in unicode support for regular expressions, therefore I suggest you turn off “regular expression” when you are searching with a language using and do not use wildcards (wildcards can be avoided by using partial word search and further filtering of previous search results). We will note in documentation if in the future we provide unicode support for regular expression search too (note that regardless, even in current MCA version you will be able to search correctly using unicode characters if you turn off “regular expression” option).

  • Why sometimes my search was performed on all of the archived CD/DVD/HDs while other times it was performed on only the ones I selected?
    Please see here for the reason.

  • I had archived a folder twice under two different root folders, I noticed that when I used Windows shell integration command “Update to last archive file”, only the folder under the top root folder got updated?
    Yes. This is because while technically it is trivial to find and update the same folder under all different root folders, this is not necessarily the desired behavior. For example, if one keeps a list of all files a month ago under one root folder while another list of all files now under another root folder to be able to compare the two, updating only the current archive (by default the top one) is desired while updating both is not.

  • Why can I not see some of the icons in the tree view on my Linux machine?
    It seems that some versions of Linux with some of the libaries MCA depends on have some bugs such that some of the folder icons of MCA does not display. However, other (newer) versions do not have this problem. We will try to make MCA backward compatible on these versions in the future.

  • Why make a donateware not a freeware?
    The reason's simple – if there is only one license type better than free, that's the donateware model that we are using, where users donate to charity instead of paying or donating to software authors.     This is the only way where everybody wins – Poor chinese kids who eventually receives your donation can finally have a chance to get education, MCA users like you can have the tax benefit (consult your tax advisor to confirm) of cash donation in addition to the satisfaction of doing something good and using a nice software legally, while we as the software authors get the greatest satisfaction in that we helped the kids as we always wanted and are finally able to make this happen.
    In fact, it is our hope that more and more software comes out and uses our special donateware model. Freeware is good, but donateware like ours is even better.

  • Why the Project Hope of P.R.China?
    Because we believe that the only way to get China, the authors' native country, richer is through eduction. Also because we are fathers and we understand how painful it is for parents to not be able to afford to let kids get even the basic education, all the while knowing that this might be the biggest chance that their kids cease to be so poor    . We hope to contribute as much as we can to help Project Hope, the Chinese project that helps poor kids get the education they need.

  • Can I donate to another charity?
    Right now, not yet. Because we provide license key only to fresh donations, we would need to set up donation notification arrangements with any given charity. Depending on the success of MCA, we could consider setting up arrangement with another charity. If that happens, I want to note that we strongly favor charities that help needy kids because they are our future and that they need our help the most. Every day I look into my son's eyes and I feel so lucky that I am able to provide what he needs for his well being, education and entertainment. I can easily imagine how painful it is for parents to not be able to provide the basic education, medicine, or even food that their kids need.     For charity suggestions, please email to mingyiliu@yahoo.com.

  • Can I deduct my donation when I file tax?
    I believe so, because you are making cash donation to a USA-registered charity (NACEF)    . The charity will notify us of the payment and we will provide the registration key for you for free. However, to confirm that the donation is eligible for tax deduction, please consult your tax advisor.

  • Do you accept credit card payments?
    Yes. Please follow the link in our Registration section.

  • Where can I download the latest version of MCA?
    Read Download section.

  • If I want more features for MCA, can I send my request to you and will it be answered?
    Yes, you can always send a request to me at mingyiliu@yahoo.com.

  • Do you support full text search?
    Currently no. We do not have plans to support full text search in the near future as there are excellent full text search tools available already.

  • Do you support CDDB to search music CDs?
    Currently no. It is not in our plan to support it either because music CDs are easy to search, no software assistance is needed.

  • Do you support mp3 and other media file search?
    MCA searches the file names only. So if the mp3 or media files have informative file names then MCA would be a perfect tool to search them. But if the mp3 files have generic names like 1.mp3, etc. then MCA won't yield good search results because MCA currently does not extract artist/album etc. information from mp3 files. However, futurer versions of MCA may support media file information extraction, depending on demand.

  • I paid for one personal license, can I put MCA on all of my computers?
    Yes – as long as you own these computers, they are for personal usage not for work, and that they are all located in just one of your residence. There is no restriction on Operating System used on the computers, and we deliberately make it such that our software accepts the same key on all Operating Systems.

  • I paid for one business license, can I put MCA on all of my computers?
    No, unless you have business site license, in which case you can put MCA on all computers on one corporate site.

  • What Operating Systems are supported by MJ's CD Archiver (MCA)?
    Any OS supported by Eclipse Foundation's SWT and Sun Microsystem's JRE 1.4 or higher.     This means Windows 98/ME/2000/XP, Linux, Unix flavors including AIX, Solaris etc. and Mac OS X.

  • Can I use the icon files in MCA package for my projects?
    The icon files are copyrighted and can only be used with permission from author Mingyi Liu (mingyiliu@yahoo.com).


Regular Expression syntax used in MJ's CD Archiver

Regular Expression Syntax

The regular expression (regex) systax used by MJ's CD Archiver comes from Java's Regex support. Its syntax is very similar to Perl5 regex with only a few differences (syntax and differences detailed here). A much more detailed and example filled-introduction for Perl5 regular expression syntax can be found at perlre documentation here.


Release

Release History

The most important releases and features are marked in this color .

V1.02

A bug fixed (archive dialog not dismissed when user tries to access a CD-ROM drive without CD)

V1.01

A minor bug fixed (its symptom: a bug is reported when everything in tree pane are deleted)

V1.0

MCA for Windows/Linux is released!


Authors for MJ's CD Archiver

The authors for MJ's CD Archiver are Dr. Mingyi Liu and Dr. Jun Xu. I (Mingyi) started the project initially, mainly because there was not a good freeware program that could meet my needs to archive my backup data files on CDs and duplicate files on multiple hard drives. I named the fully functional prototype I quickly developed as "Mingyi's CD Archiver". I was going to make it a freeware and hoped to make it better than most, if not all, of the software out there that are in the same niche.

While I was striving for the latter goal, I had a great idea: instead of making it a freeware, why not make it such that it would be free to anyone who'd donate to a charity that helps kids, who needs the money more than most people? I know how hard life has always been for a huge number of kids in the rural China, which is still vastly underdeveloped and in deep poverty. These kids never even had a chance to get basic education, let alone enjoying the modern life technology/luxury that we take for granted. As a result, I decided to offer the software as a special donateware, an idea that also excited Dr. Xu who joined in and made significant contribution to MCA performance optimization and registration implementation. Thus it is natural the software was renamed to "MJ's CD Archiver" (which also saves me trouble from making new icons :)). Aside from Dr. Xu's great help, I also appreciate much the suggestions from our beta testers including Alex Nip. I would also like to thank Mr. Mao of NACEF (North America Chinese Education Foundation) whose efforts in promoting China's Project Hope in U.S. and establishing payment accounts accepting donation from MCA users helped make the donatware idea possible.

We hope this little vision of ours could get more popular among software developers and users and eventually help the people in a way even better than freeware.